declare global {
  /* tslint:disable */
  interface Window {
    ENV: any
  }
}

/* Locate the client environment */
const isProduction = process.env.NODE_ENV === 'production'
const env = isProduction ? window.ENV : process.env

/* General settings */
export const appTimezone: string = 'Europe/Oslo'

/* Version */
export const appVersion: string = process.env.REACT_APP_VERSION as string
export const appName: string = process.env.REACT_APP_NAME as string

/* Theming */
export const appTheme: string = env.REACT_APP_THEME
  ? (env.REACT_APP_THEME as string)
  : 'default'
