import i18n from 'i18next'
import { initReactI18next } from 'react-i18next'
import Backend from 'i18next-http-backend'

i18n
  .use(Backend)
  .use(initReactI18next)
  .init({
    fallbackLng: {
      no: ['nb'],
      'en-US': ['en'],
      default: ['nb'],
    },
    supportedLngs: ['nb', 'en', 'nn'],
    debug: process.env.NODE_ENV !== 'production',
    lng: 'nb',
    backend: {
      loadPath: '/locales/{{lng}}/{{ns}}.json',
    },
    interpolation: {
      escapeValue: false,
    },
    react: {
      useSuspense: false,
    },
  })

export default i18n
