import pytest

from greg.models import OrganizationalUnit


@pytest.mark.django_db
def test_set_parent():
    parent = OrganizationalUnit.objects.create(orgreg_id="parent")
    child = OrganizationalUnit.objects.create(orgreg_id="child", parent=parent)
    assert list(OrganizationalUnit.objects.filter(parent__id=parent.id)) == [child]


@pytest.mark.django_db
def test_org_repr(unit_foo):
    assert (
        repr(unit_foo)
        == "OrganizationalUnit(id=1, orgreg_id='12345', name_en='foo_unit', parent=None)"
    )


@pytest.mark.django_db
def test_org_str(unit_foo):
    assert str(unit_foo) == "foo_unit (12345)"
